Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.config.internal
Class CollectionBeanDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.eclipse.gemini.blueprint.config.internal.AbstractReferenceDefinitionParser
              org.eclipse.gemini.blueprint.config.internal.CollectionBeanDefinitionParser

All Implemented Interfaces:
  org.springframework.beans.factory.xml.BeanDefinitionParser

Direct Known Subclasses:
  BlueprintCollectionBeanDefinitionParser

    public abstract class CollectionBeanDefinitionParser

extends AbstractReferenceDefinitionParser

<osgi:list>, <osgi:set>, element parser.

Author:
  Costin Leau

Field Summary

Fields inherited from class org.eclipse.gemini.blueprint.config.internal.AbstractReferenceDefinitionParser
`GENERATED_REF, PROMOTED_REF`

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE, NAME_ATTRIBUTE`

Constructor Summary
`CollectionBeanDefinitionParser()`

Method Summary
`protected abstract CollectionType` | `collectionType()` Hook used for indicating the main collection type (set/list) on which this parser applies.
`protected Class` | `getBeanClass(Element element)` Indicate the bean definition class for this element.
`protected void` | `parseAttributes(Element element, org.springframework.beans.factory.support.BeanDefinitionBuilder builder, AttributeCallback[] callbacks, OsgiDefaultsDefinition defaults)` Allow subclasses to add their own callbacks.
`protected void` | `parseComparator(Element element, org.springframework.beans.factory.xml.ParserContext context, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)` Parse <comparator> element.
`protected Comparator` | `parseNaturalComparator(Element element)` Parse <osgi:natural> element.
`protected void` | `parseNestedElements(Element element, org.springframework.beans.factory.xml.ParserContext context, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)` Parse nested elements.

Methods inherited from class org.eclipse.gemini.blueprint.config.internal.AbstractReferenceDefinitionParser
`applyDefaultCardinality, applyDefaults, doParse, generateBeanName, getListenerElementName, handleNestedDefinition, parseInterfaces, parseInternal, parseListeners, parsePropertySetElement, parsePropertySubElement, postProcessListenerDefinition, resolveDefaults`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionBeanDefinitionParser

    public CollectionBeanDefinitionParser()

Method Detail

### getBeanClass

    protected Class getBeanClass(Element element)

  Description copied from class: `AbstractReferenceDefinitionParser`
  Indicate the bean definition class for this element.

  Specified by:
    `getBeanClass` in class `AbstractReferenceDefinitionParser`
  Returns:

### parseAttributes

    protected void parseAttributes(Element element,
                                   org.springframework.beans.factory.support.BeanDefinitionBuilder builder,
                                   AttributeCallback[] callbacks,
                                   OsgiDefaultsDefinition defaults)

  Allow subclasses to add their own callbacks. Add support for 'greedy-proxying' attribute.

  Overrides:
    `parseAttributes` in class `AbstractReferenceDefinitionParser`

### parseNestedElements

    protected void parseNestedElements(Element element,
                                       org.springframework.beans.factory.xml.ParserContext context,
                                       org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

  Description copied from class: `AbstractReferenceDefinitionParser`
  Parse nested elements. In case of a reference definition, this means using the listeners.

  Overrides:
    `parseNestedElements` in class `AbstractReferenceDefinitionParser`

### parseComparator

    protected void parseComparator(Element element,
                                   org.springframework.beans.factory.xml.ParserContext context,
                                   org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

  Parse <comparator> element.

  Parameters:
    `element` -
    `context` -
    `builder` -

### parseNaturalComparator

    protected Comparator parseNaturalComparator(Element element)

  Parse <osgi:natural> element.

  Parameters:
    `element` -
  Returns:

### collectionType

    protected abstract CollectionType collectionType()

  Hook used for indicating the main collection type (set/list) on which this parser applies.

  Returns:
    service collection type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.